## software-center 4.0

=== debian/changelog ===
software-center (4.0) natty; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/softwarepane.py:
    - display the offer to add an application to the launcher
      for the duration of the time that the details view
      is showing (LP: #765389)
  
  [ Michael Vogt ]
  * test/test_unity_launcher_integration.py:
    - update tests
  * update version number for natty-final

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Apr 2011 14:03:25 +0200

software-center (3.1.26.8) natty; urgency=low

  * softwarecenter/log.py:
    - deal with not accessible ~/.cache/software-center directory
      (LP: #688682)
  * softwarecenter/paths.py:
    - check for SUDO_USER before xdg is imported, otherwise the
      check has no effect (LP: #688682)
  * softwarecenter/{paths,enums}.py, utils/update-software-center-agent:
    - remove unneeded xdg.BaseDirectory import
  * utils/update-software-center-agent, softwarecenter/enums.py:
    - remove unused imports, make imports explicit (thanks pyflakes)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Apr 2011 20:31:31 +0200

software-center (3.1.26.7) natty; urgency=low

  [ Michael Vogt ]
  * utils/submit_review.py:
    - add missing gettext call
  * softwarecenter/view/widgets/reviews.py:
    - fix i18n for strings in class data

  [ Gary Lasker ]
  * softwarecenter/backend/channel.py:
    - don't display private PPA sources for purchased
      items (LP: #748459)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Apr 2011 18:15:38 +0200

software-center (3.1.26.6) natty; urgency=low

  [ Gary Lasker ]
  * utils/submit_review.py,
    softwarecenter/view/softwarepane.py:
    - string fixes for translation (LP: #762893)
  * po/software-center.pot:
    - refresh .pot file 
  * softwarecenter/backend/restfulclient.py,
    softwarecenter/utils.py,
    softwarecenter/view/appdetailsview.py:
    - use more robust get_language method in utils.py,
      fixes crash when getting the default language (LP: #753211)
  * softwarecenter/distro/Ubuntu.py:
    - don't crash if we can't get the icon url (LP: #719146) 
  
  [ Michael Vogt ]
  * utils/get_reviews_helper.py, utils/get_review_stats_helper.py:
    - do not crash on broken pipe errors (LP: #761775, #761502)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Apr 2011 10:45:55 +0200

software-center (3.1.26.5) natty; urgency=low

  * softwarecenter/backend/aptd.py:
    - do not crash if trans.error is None (LP: #761642)
  * softwarecenter/view/appdetailsview_gtk.py, 
    softwarecenter/view/appdetailsview.py:
    - fix flickering during purchase install by more carefully 
      checking if the app just became availalbe
  * utils/get_reviews_helper.py, utils/get_review_stats_helper.py:
    - fix crash when the server returns a API error (LP: #761452)
    - fix pyflakes warnins
  * softwarecenter/db/reviews.py:
    - ensure pkgname is a str (and not unicode), otherwise 
      glib.spawn_async crashes (LP: #761357)
  * softwarecenter/backend/zeitgeist_simple.py:
    - do not crash if a zeitgeist has no subjects (LP: #761905)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 18:28:15 +0200

software-center (3.1.26.4) natty; urgency=low

  * softwarecenter/backend/aptd.py:
    - do not crash if a-x-i is not installed (LP: #760090)
  * softwarecenter/view/appdetailsview_gtk.py, 
    softwarecenter/view/softwarepane.py:
    - fixes in the i18n handling (LP: #760807)
  * softwarecenter/db/reviews.py:
    - in get_review() do not use the untranslate appname, we only need 
      the pkgname (may fix #761357)
    - improve error reporting if the get_reviews_helper fails
      (to fix #761357)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 11:31:21 +0200

software-center (3.1.26.3) natty; urgency=low

  [ Michael Vogt ]
  * softwarecenter/db/reviews.py:
    - do not crash on multiple origins for the same version
      (LP: #756415)
  * softwarecenter/db/application.py:
    - ensure docid is updated on database reopen() (LP: #757054)
  * softwarecenter/models/appstore.py:
    - refresh docids in active searches if the database is reopend
      (LP: #710920)
  * softwarecenter/backend/aptd.py:
    - do not run update-apt-xapian-index in --update mode to avoid
      in-place database modfications (LP: #507836)
  * test/test_load_icons.py:
    - add test for the icon loader
  * merged lp:~glatzor/software-center/force-bad-quality, this 
    fixes the missing ability to override the lintian warning
    (LP: #712377)
  * don't show reviews if we can't determine the origin
  * fix crash when enabling new components (LP: #636429)
  * fix missing details when a channel or a component just got added

  [ Gary Lasker ]
  * softwarecenter/app.py:
    - temporarily disable the deauth option until we have support
      for remove repository in aptdaemon (see LP: #723911)
  * softwarecenter/backend/aptd.py :
    - fix empty error dialog for the case where aptdaemon returns
      an error code with no value (LP: #747172)
    - fix intermittent crash when updating the a-x-i (LP: #657494)
  * softwarecenter/models/viewswitcherlist.py:
    - mark string "In Progress..." for translation, many thanks to
      Hendrik Knackstedt and Florian Greinus for finding this
      (LP: #759240)
  * softwarecenter/view/catview_gtk.py:
    - fix broken translation string (LP: #758656)
  * refresh .pot file 
  * softwarecenter/db/update.py:
    - fix crash when reinstalling previous purchases (LP: #760353) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Apr 2011 19:59:42 +0200

software-center (3.1.26.2) natty; urgency=low

  [ Michael Vogt ]
  * softwarecenter/db/update.py:
    - do not crash if /var/lib/apt-xapian-index/cataloged_times.p can
      not be read (LP: #636049)
  * merged lp:~mvo/software-center/get-reviews-subprocess (LP: #743020):
    - don't use multiprocessing anymore, instead glib.spawn_async()
      a helper app, this finally fixes the crashes with accessibility
      turned on (LP: #743020)


=== debian/control ===
Source: software-center
Section: gnome
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.15.1~),
               lsb-release,
               gettext,
               intltool,
               po4a,
               python,
               python-central,
               python-distutils-extra,
               python-setuptools,
               python-scour
Standards-Version: 3.8.4
XS-Python-Version: current
Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
Homepage: https://launchpad.net/software-center

Package: software-center
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         humanity-icon-theme,
         gnome-menus,
         python-xapian,
         python-apt (>= 0.7.93.1),
         python-aptdaemon (>= 0.40),
         python-aptdaemon-gtk,
         python-dbus,
         python-defer,
         policykit-1,
         policykit-1-gnome | policykit-1-kde,
         python-gtk2,
         python-webkit,
         python-xdg,
         python-gconf,
         python-gmenu,
         aptdaemon (>= 0.40),
	 python-lazr.restfulclient,
         ubuntu-sso-client (>= 0.99.6),
         python-piston-mini-client (>= 0.1+bzr29),
Recommends: lsb-release, 
            python-launchpad-integration, 
            apt-xapian-index (>= 0.38ubuntu1), 
            update-notifier, 
            software-properties-gtk,
            sessioninstaller, 
            zeitgeist-core, 
Conflicts: gnome-app-install (<< 1)
Replaces: gnome-app-install
Provides: gnome-app-install
Suggests: python-launchpadlib
XB-Python-Version: ${python:Versions}
Description: Utility for browsing, installing, and removing applications
 The Ubuntu Software Center lets you browse and install thousands of 
 applications available for Ubuntu. You can view available 
 applications by category, or search quickly by name or description. 
 You can also examine the applications already installed, and remove
 those you no longer need.
 .
 To install or remove software using the Center, you need administrator
 access on the computer.

## software-center 4.0.5ubuntu0.1

=== test/Makefile ===
#!/usr/bin/make

all: check #mago_test

check:
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -f $$file ]; then \
		echo "Testing $$file"; \
	    	python $$file ; \
	    fi \
	done

clean:
	find  ../data/xapian/ ./data/aptroot/var/lib/apt/lists/ \
	 ./data/aptroot/var/cache/apt/ ./data/test.db/ -type f | xargs rm -f


# mago tests
mago_test:
	# -sv makes mago not buffer output
	PYTHONPATH=.. mago -sv mago/mago_simple.py

=== debian/changelog ===
software-center (4.0.5ubuntu0.1) natty-security; urgency=low

  * SECURITY UPDATE: MITM via incorrect ssl cert validation (LP: #874242)
    - softwarecenter/view/purchaseview.py: Set the ssl-ca-file libsoup
      property so ssl cert validation works.
    - CVE-2011-3150

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Nov 2011 08:36:12 -0500

software-center (4.0.5) natty-proposed; urgency=low

  [ Aaron Peachey ]
  * softwarecenter/view/appdetailsview_gtk.py,
    softwarecenter/view/widgets/reviews.py:
    - fix duplication of reviews upon submitting a new
      review, completes the fix for LP: #794060

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    softwarecenter/backend/aptd.py,
    test/test_software_channels.py:
    - obfuscate private ppa details in the error log output and in
      the error dialog itself, add corresponding unit test
      (LP: #807745)
  * merge lp:~evfool/software-center/nonetworkfixes, fixes two menu
    item network state bugs, many thanks to Robert Roth
    (LP: #802919, LP: #802920) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Jul 2011 14:24:50 +0200

software-center (4.0.4) natty-proposed; urgency=low

  [ Aaron Peachey ]
  * utils/submit_review.py:
    - ensure error message shows if usefulness submit 
      fails (LP: #790450)
  * softwarecenter/view/widgets/reviews.py:
    - fix disappearing usefulness UI on clicking 'OK' after error
  * softwarecenter/db/reviews.py,
    softwarecenter/view/appdetailsview_gtk.py,
    softwarecenter/view/widgets/reviews.py:
    - fix duplication of reviews after user has submitted
      usefulness or flagged a review (LP: #794060)

  [ Gary Lasker ]
  * softwarecenter/app.py,
    softwarecenter/view/softwarepane.py:
    - fix issue where the background image for installed channels
      details view is not consistently rendered (LP: #724724) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2011 18:22:41 +0200

software-center (4.0.3) natty-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/app.py:
    - expand the "Get Software" item in the viewswitcher by default
      so that its subitems are always visible and available
      (LP: #774590)
  * softwarecenter/view/availablepane.py,
    softwarecenter/view/catview_gtk.py:
    - jumpstart Featured and What's New carousel transitions
      on launch (LP: #786403) 
  
  [ Michael Vogt ]
  * merge lp:~mvo/software-center/4.0-pagination to properly 
    support pagination (LP: #788688)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 May 2011 17:55:10 +0200

software-center (4.0.2) natty-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    test/test_unity_launcher_integration.py:
    - fix intermittent crash when installing a local .deb,
      add corresponding test case (LP: #768158)
  * softwarecenter/db/reviews.py,
    test/test_reviews.py:
    - sort reviews using upstream package versions to fix
      incorrect sort by usefulness, update unit test
      (LP: #777583)
  
  [ Michael Vogt ]
  * softwarecenter/db/reviews.py:
    - fix review-stats loading (LP: #776706)
  * merged lp:~evfool/software-center/qfix774201, many thanks
    to Robert Roth (fixes LP: #774201)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 May 2011 16:04:01 +0200

software-center (4.0.1) natty-proposed; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - point to 4.0 bzr branch
  * merged lp:~mmcg069/software-center/Bug635994, many thanks
    (LP: #635994)
  * utils/submit_review.py:
    - fix missing translation  (LP: #770439)
  * utils/submit_review.py:
    - improve logging on SSO failure (LP: #773214)
    - do not translate "appname" as ubuntu-sso-login will fail
      for translated names with utf8 chars (LP: #773214)
  * softwarecenter/db/reviews.py:
    - apply review sorting (LP: #773289)
  * softwarecenter/app.py:
    - do not translate "appname" as ubuntu-sso-login will fail
      for translated names with utf8 chars (LP: #773214)
  
  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/translation-fixes-lp770439:
    - fix translation not showing up (LP: #770439)
  * softwarecenter/view/appdetailsview_gtk.py,
    softwarecenter/view/widgets/reviews.py,
    test/test_appdetails_view.py:
    - enable writing a review immediately after the package
      installation is complete, add test case (LP: #769439) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Apr 2011 16:40:32 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python-scour
 Standards-Version: 3.8.4
 XS-Python-Version: current
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
+Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/4.0
 Homepage: https://launchpad.net/software-center
 
 Package: software-center

=== debian/rules ===
#!/usr/bin/make -f
share:=usr/share/software-center

%:
	dh $@ --with=python-central,scour

# Install the modules in a private directory, as our applications are the
# only ones using them.
override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/software-center
	rm -r debian/software-center/usr/share/software-center/*.egg-info
	# Move the scripts to $(SHARE) and relink them again later.
	mv debian/software-center/usr/*bin/* debian/software-center/$(share)
	rmdir debian/software-center/usr/*bin


override_dh_install:
	dh_install --fail-missing

	dh_installmime -i

	dh_link $(share)/software-center usr/bin/software-center \
	        $(share)/update-software-center usr/sbin/update-software-center

	# Drop Ubuntu stuff if not on Ubuntu
	# TODO: We should do this on the 'upstream' level, e.g. in setup.py.
	set -e; if ! dpkg-vendor --derives-from Ubuntu; then \
		cd debian/software-center; \
		cd usr/share/applications; \
		mv ubuntu-software-center.desktop software-center.desktop; \
		cd ../icons/; \
		rm hicolor/*/apps/softwarecenter.*; \
		for size in 16x16 24x24 32x32; do \
			ln -sf ../../../gnome/$$size/apps/system-software-install.png \
			       hicolor/$$size/apps/softwarecenter.png; \
		done; \
		ln -sf ../../../gnome/scalable/apps/system-software-install.svg \
		       hicolor/scalable/apps/softwarecenter.svg; \
	fi;

	# Remove empty directories.
	find debian/*/usr -type d -empty -delete

.PHONY: override_dh_auto_install

## software-center 4.0.7

=== debian/changelog ===
software-center (4.0.7) natty-proposed; urgency=low

  * lp:~gary-lasker/software-center/icon-data-for-4.0:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL (LP: #914054) 

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 11 Jan 2012 18:25:49 -0500

software-center (4.0.6) natty-proposed; urgency=low

  * cherry pick fix to allow webkit to create additional windows
    during the purchase - this is needed to support PayPal in the
    purchase process (LP: #893988)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Nov 2011 13:29:15 +0100

## software-center 5.0.1.4

=== test/Makefile ===
#!/usr/bin/make

all: check #mago_test

check:
	./test-all.sh

clean:
	find  ../data/xapian/ ./data/aptroot/var/lib/apt/lists/ \
	 ./data/aptroot/var/cache/apt/ ./data/test.db/ -type f | xargs rm -f
	rm -f .coverage*
	rm -rf coverage_html


# mago tests
mago_test:
	# -sv makes mago not buffer output
	PYTHONPATH=.. mago -sv mago/mago_simple.py

=== debian/changelog ===
software-center (5.0.1.4) oneiric; urgency=low

  * softwarecenter/ui/gtk3/widgets/apptreeview.py:
    - do not crash if self.appmodel is not available yet (LP: #869699)
  * softwarecenter/db/update.py:
    - fix missing i18n lookup for app-install-data (LP: #869851)
  * merge po/help from rosetta to ensure that the translated 
    manual is there, this is not delivered via langpacks
    (LP: #869935)
  * test/test_database.py:
    - use sc.staging.ubuntu.com for the testing of the license 
      string data
  * softwarecenter/db/application.py:
    - fix missing i18n for license send from the software-center-agent
      server

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Oct 2011 16:24:53 +0200

software-center (5.0.1.3) oneiric; urgency=low

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/panes/pendingpane.py:
    - be more robust about errors when cancelling a transaction
      from the pending pane (LP: #861129)
  * softwarecenter/ui/gtk3/app.py:
    - fix crash in on_menu_edit_activate() (LP: #861862) 
  * softwarecenter/ui/gtk3/panes/installedpane.py:
    - fix crash in _row_visibility_func() (LP: #834893) 
  * softwarecenter/ui/gtk3/views/appview.py:
    - fix crash in display_matches() (LP: #843795) 
  
  [ Michael Vogt ]
  * softwarecenter/ui/gtk3/widgets/buttons.py:
    - fix incorrect i18n for the "More" button in the main screen
      (LP: #868952), thanks to David Planella
  * softwarecenter/db/categories.py:
    - fix regression when reading translated category names for
      directory types with no X-Ubuntu-Gettext-Domain (LP: #868963)

  [ Gabor Kelemen ]
  * Translate Our star apps heading on the list of the star apps. 
    LP: #869038

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Oct 2011 14:35:02 +0200

software-center (5.0.1.2) oneiric; urgency=low

  * softwarecenter/ui/gtk3/widgets/exhibits.py:
    - force no line wrap for the header (LP: #867821)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Oct 2011 18:22:28 +0200

software-center (5.0.1.1) oneiric; urgency=low

  * softwarecenter/db/application.py:
    - fix crash when installing a standalone deb (LP: #868333)

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 05 Oct 2011 11:07:40 -0400

software-center (5.0.1) oneiric; urgency=low

  [ Michael Vogt ]
  * softwarecenter/ui/gtk3/widgets/reviews.py:
    - Fix i18n bug in the error string for the reviews. This 
      adds two new strings for a rare error message in the UI that 
      was previously not translatable. Thanks to David Planella
  * softwarecenter/db/database.py:
    - when adding a new database (e.g. on reinstall-previous purchases)
      trigger a "reopen" to ensure that the db docids are reinitialized
  * apt-xapian-index-plugin/software-center.py:
    - do not crash if a apt.Package.candidate has no url (LP: #819907)
  * softwarecenter/ui/gtk3/views/catview_gtk.py:
    - only show the frame with new apps if we actually have information
      about new applications (LP: #862382)

  [ Robert Roth ]
  * softwarecenter/ui/gtk3/widgets/apptreeview.py:
    - fix crash in clear_model() (LP: #863233)

  [ Gary Lasker ]
  * debian/control:
    - add dependency on python-gobject-cairo to prevent crash
      at startup (LP: #829067) 
  * softwarecenter/db/application.py,
    softwarecenter/db/update.py,
    softwarecenter/distro/Ubuntu.py,
    softwarecenter/enums.py:
    - display the correct license type for commercial apps as
      specified via the software-center-agent (LP: #864706)

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/bug855666:
    - add missing linewrap (LP: #855666)
  * lp:~mmcg069/software-center/bug858639 :
    - fix crash when data can not be parsed from the remote reviews server
      LP: #858639

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Oct 2011 11:24:05 +0200

software-center (5.0) oneiric; urgency=low

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/views/appdetailsview.py,
    softwarecenter/ui/gtk3/views/appdetailsview_gtk.py,
    softwarecenter/ui/gtk3/widgets/reviews.py,
    utils/submit_review_gtk3.py:
    - restore the ability to edit or delete your own
      review (LP: #861999)
  * softwarecenter/db/application.py:
    - fix TypeError in __init__ (LP: #825729)
  * softwarecenter/ui/gtk3/views/appdetailsview_gtk.py:
    - fix crash in _get_app_icon_xy_position_on_screen (LP: #843565)
  * softwarecenter/ui/gtk3/panes/softwarepane.py:
    - fix UnicodeDecodeError in on_add_to_launcher (LP: #835337)

  [ Michael Vogt ]
  * add support for license keys in $HOME
  * set correct version number
  * utils/submit_review_gtk3.py:
    - translate app name in review title, thanks to Gabor Kelemen 
      (LP: #782146)
  * softwarecenter/backend/reviews.py:
    - leave the review sorting to the server now that the rnr-server
      is deployed that sorts properly by wilson_score
  * fix None vs "" crashes
  * fix another dbus exception when a tid vanishes (LP: #848676), thanks
    to Marc Deslauriers 

  [ Kiwinote ]
  * softwarecenter/distro/Ubuntu.py:
    - display canonical support text again (LP: #862388)
      (no new strings - there was just some 'if False, display the text' code)

  [ Matthew McGowan ]
  * data/ui/gtk3/dialogs.ui:
    - fix incorrect sizing of dialogs (LP: #825959, LP: #844014)
  * display 'where is it' command line helper for installed apps with
    no desktop_files even when unity is running.'
  * set a minimum size for the CategoryTile so all english category 
    names fit to two lines (Computer Science and Robotics took 3 lines 
    to display).
  * softwarecenter/ui/gtk3/views/appdetailsview_gtk.py:
    - cleanup dead code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Sep 2011 20:45:22 +0200

software-center (4.1.23.7) oneiric; urgency=low

  [ Gary Lasker ]
  * softwarecenter/backend/installbackend_impl/aptd.py:
    - fix UnicodeDecodeError in _show_transaction_failed_dialog
      (LP: #858193)
  * softwarecenter/backend/installbackend.py,


=== debian/control ===
Source: software-center
Section: gnome
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.15.1~),
               lsb-release,
               gettext,
               intltool,
               po4a,
               python,
               python-distutils-extra,
               python-setuptools,
               python-scour
Standards-Version: 3.8.4
X-Python-Version: >= 2.7
Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
Homepage: https://launchpad.net/software-center

Package: software-center
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         aptdaemon (>= 0.40),
         humanity-icon-theme,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gmenu-3.0 (>= 3.1.5),
         gir1.2-webkit-3.0,
         python-gobject (>= 2.90),
         python-gobject-cairo,
         python-xapian,
         python-apt (>= 0.7.93.1),
         python-aptdaemon (>= 0.40),
         python-aptdaemon.gtk3widgets,
         python-dbus,
         python-defer,
         policykit-1,
         policykit-1-gnome | policykit-1-kde,
         python-xdg,
	 python-lazr.restfulclient,
         ubuntu-sso-client (>= 0.99.6),
         python-piston-mini-client (>= 0.1+bzr29),
         oneconf (>= 0.2.6),
Recommends: lsb-release, 
            gir1.2-launchpad-integration-3.0, 
            apt-xapian-index (>= 0.38ubuntu1), 
            update-notifier, 
            software-properties-gtk,
            sessioninstaller, 
            zeitgeist-core,
Conflicts: gnome-app-install (<< 1), oneconf (<< 0.2.6.1)
Replaces: gnome-app-install
Provides: gnome-app-install
Description: Utility for browsing, installing, and removing software
 Ubuntu Software Center lets you browse and install thousands of 
 free and paid applications available for Ubuntu. You can view available 
 software by category, or search quickly by name or description. 
 You can also examine the software already installed, and remove items
 you no longer need.
 .
 To install or remove software using USC, you need administrator access
 on the computer.

## software-center 5.0.2ubuntu0.1

=== debian/changelog ===
software-center (5.0.2ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: MITM via incorrect ssl cert validation (LP: #874242)
    - softwarecenter/ui/gtk3/views/purchaseview.py: Set the ssl-ca-file
      libsoup property so ssl cert validation works.
    - CVE-2011-3150

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Nov 2011 08:29:21 -0500

software-center (5.0.2) oneiric-proposed; urgency=low

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/bug861778:
    - improved method, use less widgets and fix case where user 
      changes sort method in a search results list (LP: #861778)
  * lp:~mmcg069/software-center/dialog-improvements:
    - improve the widget packing of the submit_review dialog
    - make the dialog-dep-warning dialog neither closable or maximisable
      as per bug LP: #844025
    - make dialog-dependency-alert dialog use a gtkgrid instead of 
      gtktable to fix overly big spacing
  * lp:~mmcg069/software-center/container-frame-render-fix:
    - remove the use a clip -> provide a fix for blurry font 
      rendering LP: #864855
  
  [ Michael Vogt ]
  * test/gtk3/test_appview.py:
    - add regression test for bug #861778
  * test/gtk3/test_dialogs.py:
    - add basic test for dependency dialogs
  * softwarecenter/ui/gtk3/dialogs/dependency_dialogs.py:
    - simplfy test setup code
  * softwarecenter/backend/channel_impl/aptchannels.py:
    - delay channel update check 10s to improve startup time
  * softwarecenter/ui/gtk3/widgets/exhibits.py:
    - add workaround for rendering bug of the webkit offscreen window
      that leaves a 8px border around the image
  * debian/control:
    - update Vcs-Bzr to point to the 5.0 branch
    - add "lzma" to the recommends to ensure that opening opera and
      chrome debs works (LP: #868188). python-apt is expecting to
      have a helper that can be called with "lzma -d" to open these
      debs.

  [ Kiwinote ]
  * softwarecenter/db/update.py,
    softwarecenter/enums.py,
    softwarecenter/ui/gtk3/models/appstore2.py:
    - make apps from the canonical store appear in the categories (LP: #874330)
  * softwarecenter/ui/gtk3/panes/availablepane.py:
    - when search is cleared, don't navigate back to lobby if we're in a
      channel view (LP: #875786)
  * softwarecenter/ui/gtk3/panes/viewswitcher.py:
    - don't inherit state.category or state.subcategory upon channel selection
  * softwarecenter/ui/gtk3/views/appdetailsview_gtk.py:
    - fix UnicodeDecodeError in _update_pkg_info_table() (LP: #868834)
      this indirectly makes banners work again in certain locales (LP: #873078)
  
  [ Robert Roth ]
  * Only catch button release in exhibit if button was also pressed on
    exhibit (LP: #875043)

  [ Gary Lasker ]
  * softwarecenter/db/update.py:
    - fix reinstall previous purchases functionality for locales
      that require unicode (LP: #873917) 
  * setup.py:
    - force 11.10 as the release as this is the target
      version of 5.0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Oct 2011 17:43:01 +0200

software-center (5.0.1.5) oneiric-proposed; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-center/fixlp870595:
    - Mark the For Software Developers menu item label from the Help
      menu translatable to fix bug LP: #870595.

  [ Kiwinote ]
  * softwarecenter/ui/gtk3/widgets/searchaid.py:
    - make 'no items match <searchterm>' display translated (LP: #870604)
    - fix markup error which causes spelling suggestions not to be displayed

  [ Michael Vogt ]
  * software-center:
    - fix --measure-startup-time
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Oct 2011 09:11:15 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python-scour
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.7
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
+Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/5.0
 Homepage: https://launchpad.net/software-center
 
 Package: software-center
@@ -50,6 +50,7 @@
             software-properties-gtk,
             sessioninstaller, 
             zeitgeist-core,
+            lzma
 Conflicts: gnome-app-install (<< 1), oneconf (<< 0.2.6.1)
 Replaces: gnome-app-install
 Provides: gnome-app-install

## software-center 5.0.6

=== test/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all: check #mago_test
 
 check:
-	./test-all.sh
+	xvfb-run ./test-all.sh
 
 clean:
 	find  ../data/xapian/ ./data/aptroot/var/lib/apt/lists/ \

=== debian/changelog ===
software-center (5.0.6) oneiric-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/catalog-published-date-lp803028i-for-5.0:
    - use date_published value from the software-center-agent server
      so that for-purchase items appear correctly and in the proper order
      in What's New; include corresponding unit test (LP: #803028)
  
  [ Michael Vogt ]
  * backport fix from lp:~mvo/software-center/fix-refresh-of-whats-new
    to ensure that new apps from e.g. the software-center-agent are
    immediately displayed in the "Whats new" section of the lobby
    (LP: #949725)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 Mar 2012 09:07:20 +0100

software-center (5.0.5) oneiric-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-lp913756-for-5.0:
    - do not offer to add an icon to the Unity launcher for packages
      that do not have an Exec entry in their corresponding desktop
      file, e.g. ubuntu-restricted-extras, wine (LP: #913756)
  * lp:~gary-lasker/software-center/staging-certs-2-for-5.0:
    - add SOFTWARE_CENTER_FORCE_DISABLE_CERTS_CHECK to allow QA easier
      testing (LP: #918746)
  
  [ Michael Vogt ]
  * lp:~mvo/software-center/fix-server-pagination:
    - reset server side review "page" when switching to a different
      app
  * lp:~mvo/software-center/expunge-cache-5.0:
    - fix invalid httplib cache entries (LP: #938736)

  [ Kiwinote ]
  * grab exhibits for the current series only (LP: #899257)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Mar 2012 19:24:38 +0100

software-center (5.0.4) oneiric-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-lp891499-for-5.0:
    - be more robust about problems reading the cataloged_times file 
      as problems here can hang the UI (LP: #891499)
  
  [ Gabor Kelemen ]
  * lp:~kelemeng/software-center/bug869935:
    - Update help translations from Launchpad (LP: #869935)
  * lp:~kelemeng/software-center/bug880757:
    - Mark strings containing the “ character as Unicode, to fix 
      their translations. LP: #880757

  [ Michael Vogt ]
  * fix cache opening to improve startup time 
  * lp:~mvo/software-center/icon-data-for-5.0:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL (LP: #914054)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Jan 2012 09:52:09 +0100

software-center (5.0.3.1) oneiric-proposed; urgency=low

  * softwarecenter/ui/gtk3/views/purchaseview.py:
    - set transient parent when creating a new webview to better
      support PayPal (LP: #893988)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Nov 2011 10:10:25 +0100

software-center (5.0.3) oneiric-proposed; urgency=low

  [ Michael Vogt ]
  * Improve icon extenstion detection, some iconnames are already
    without extenstion with still with a "." in the name, some are not.
    This fixes the icons display for wesnoth and xpuzzles (LP: #878707)

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/app.py:
    - fix potential dbus crash when accessing the list of previous
      purchases (LP: #863898)
  * softwarecenter/ui/gtk3/session/navhistory.py:
    - fix UnicodeDecodeError in NavigationItem __str__ (LP: #847050) 
  * softwarecenter/ui/gtk3/panes/softwarepane.py:
    - fix UnicodeDecodeError in DisplayState __str__ (LP: #873046) 
  * softwarecenter/ui/gtk3/models/pendingstore.py:
    - fix UnicodeDecodeError in _render_status_text (LP: #862029)
  * softwarecenter/distro/__init__.py:
    - fix UnicodeDecodeError in get_install_warning_text (LP: #857416)
  * softwarecenter/db/application.py:
    - fix UnicodeDecodeError in __str__ (LP: #871088)

  [ Gabor Kelemen ]
  * Fix misplaced parentheses and localize the app name
    using the app-install-data-ubuntu domain. LP: #880257
  * Display the success message properly localized. LP: #872823
  * Display failure message properly localized. LP: #872812

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Nov 2011 17:48:56 +0100

## software-center 5.1.2debian1

=== debian/changelog ===
software-center (5.1.2debian1) experimental; urgency=low

  * New upstream release (Closes: #636924)
  * Remaining differences to Ubuntu:
    - setup.cfg: Install unbranded-software-center.desktop
    - setup.py: Handle + and - in changelog version number
    - setup.py: "Correctly" build the documentation translations.
    - help: Replace Ubuntu-specific parts of the help
    - debian/control: Different maintainer,vcs,description
    - debian/control: Drop Ubuntu-specific dependencies
    - po: More up-to-date translations and adjusted German help translation
  * softwarecenter/utils.py:
    - Replace apt_pkg.URItoFileName by apt_pkg.uri_to_filename

 -- Julian Andres Klode <jak@debian.org>  Mon, 21 Nov 2011 15:44:28 +0100

software-center (5.1.2) precise; urgency=low

  [ Michael Vogt ]
  * test/test_channels.py:
    - add unit test for channels backend
  * lp:~mvo/software-center/app-treeview-buy-plus-refactor:
    - add unit test for ApplicationManager, additional tweaks
  * lp:~mvo/software-center/video-support:
    - implement the ability to display embedded videos in
      the application details view
  * softwarecenter/ui/gtk3/widgets/exhibits.py:
    - add basic error reporting for exhibits downloading

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/app-treeview-buy-plus-refactor:
    - implement the ability to initiate a purchase from the application
      list directly and display the price there, include some nice
      refactoring
  * softwarecenter/ui/gtk3/widgets/apptreeview.py:
    - make hidden rows collapse properly when unselected (LP: #888463)
  
  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/unit-tests:
    - update tests for custom lists and for launcher integration
  * lp:~gary-lasker/software-center/fix-lp891499:
    - be more robust about problems reading the cataloged_times file 
      as problems here can hang the UI (LP: #891499)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Nov 2011 13:45:29 +0100

software-center (5.1.1.1) precise; urgency=low

  * setup.py:
    - list sc.backend.oneconfhandler and sc.backend.reviews as packages
      this allows s-c to startup on the development release (LP: #887392)

 -- Kiwinote <kiwinote@gmail.com>  Tue, 08 Nov 2011 16:49:29 +0000

software-center (5.1.1) precise; urgency=low

  [ Matthew McGowan ]
  * fix the rtl rendering of the "more label arrow"
  * lp:~mmcg069/software-center/multi-screenshot-gallery:
    - add support for multiple screenshots for the main archive
  
  [ Nicolas Delvaux ]
  * lp:~malizor/software-center/fix-lp813803:
    - Time format in historypane: The translators comment was not 
      extracted, which led to poor translations (eg. as reported 
      in bug LP: #813803)

  [ Gabor Kelemen ]
  * lp:~kelemeng/software-center/bug875306:
    - Add translator comment: Free means Gratis, as it is used as price.
      LP: #875306
  
  [ Sebastian Heinlein ]
  * lp:~glatzor/software-center/portability:
    - improve portability
  
  [ Michael Vogt ]
  * more portability fixes
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Nov 2011 14:58:40 +0100

software-center (5.1.0) precise; urgency=low

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/bug861778:
    - improved method, use less widgets and fix case where user 
      changes sort method in a search results list (LP: #861778)
  * lp:~mmcg069/software-center/no-nm-net-detect:
    - improve the internet connectivity awareness if network-manager 
      is not available
  * lp:~mmcg069/software-center/bitesize:
    - convert the 'Write your own review' Gtk.Button to a Link style button
      (UI change)
  
  [ Michael Vogt ]
  * test/gtk3/test_appview.py:
    - add regression test for bug #861778
  * test/test_netstatus.py:
    - add basic test for the netstatus code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 20 Oct 2011 18:35:14 +0200

software-center (5.0.3) UNRELEASED; urgency=low

  [ Michael Vogt ]
  * Improve icon extenstion detection, some iconnames are already
    without extenstion with still with a "." in the name, some are not.
    This fixes the icons display for wesnoth and xpuzzles (LP: #878707)

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/app.py:
    - fix potential dbus crash when accessing the list of previous
      purchases (LP: #863898)
  * softwarecenter/ui/gtk3/session/navhistory.py:
    - fix UnicodeDecodeError in NavigationItem __str__ (LP: #847050) 
  * softwarecenter/ui/gtk3/panes/softwarepane.py:
    - fix UnicodeDecodeError in DisplayState __str__ (LP: #873046) 
  * softwarecenter/ui/gtk3/models/pendingstore.py:
    - fix UnicodeDecodeError in _render_status_text (LP: #862029)
  * softwarecenter/distro/__init__.py:
    - fix UnicodeDecodeError in get_install_warning_text (LP: #857416)
  * softwarecenter/db/application.py:
    - fix UnicodeDecodeError in __str__ (LP: #871088)

  [ Gabor Kelemen ]
  * Fix misplaced parentheses and localize the app name
    using the app-install-data-ubuntu domain. LP: #880257
  * Display the success message properly localized. LP: #872823
  * Display failure message properly localized. LP: #872812

 -- Gary Lasker <gary.lasker@canonical.com>  Tue, 25 Oct 2011 14:32:59 -0400

=== debian/control ===
Source: software-center
Section: gnome
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.15.1~),
               lsb-release,
               gettext,
               intltool,
               po4a,
               python,
               python-distutils-extra,
               python-setuptools,
               python-scour
Standards-Version: 3.9.1
X-Python-Version: >= 2.7
Vcs-Bzr: http://bazaar.launchpad.net/~juliank/software-center/debian/
Homepage: https://launchpad.net/software-center

Package: software-center
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         aptdaemon (>= 0.40),
         humanity-icon-theme|gnome-icon-theme,
         gir1.2-glib-2.0 (>= 1.31),
         gir1.2-gtk-3.0,
         gir1.2-gmenu-3.0 (>= 3.1.5),
         gir1.2-webkit-3.0,
         python-gobject (>= 3.0),
         python-gobject-cairo,
         lsb-release,
         python-xapian,
         python-apt (>= 0.7.93.1),
         python-aptdaemon (>= 0.40),
         python-aptdaemon.gtk3widgets,
         python-dbus,
         python-defer,
         policykit-1,
         policykit-1-gnome | policykit-1-kde,
         python-xdg,
         python-lazr.restfulclient,
Recommends: lsb-release, 
            gir1.2-launchpad-integration-3.0, 
            apt-xapian-index (>= 0.38ubuntu1), 
            update-notifier, 
            software-properties-gtk,
            sessioninstaller, 
            zeitgeist-core,
            lzma
Conflicts: gnome-app-install (<< 1), oneconf (<< 0.2.6.1)
Replaces: gnome-app-install
Provides: gnome-app-install
Description: Utility for browsing, installing, and removing software
 The Software Center lets you browse and install thousands of 
 free applications available for your System. You can view available 
 software by category, or search quickly by name or description. 
 You can also examine the software already installed, and remove items
 you no longer need.
 .
 To install or remove software using USC, you need administrator access
 on the computer.

=== debian/rules ===
#!/usr/bin/make -f
share:=usr/share/software-center

%:
	dh $@ --with=python2,scour

override_dh_auto_clean:
	python setup.py build_i18n
	dh_auto_clean

# Install the modules in a private directory, as our applications are the
# only ones using them.
override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/software-center
	rm -r debian/software-center/usr/share/software-center/*.egg-info
	# Move the scripts to $(SHARE) and relink them again later.
	mv debian/software-center/usr/*bin/* debian/software-center/$(share)
	rmdir debian/software-center/usr/*bin


override_dh_install:
	dh_install --fail-missing

	dh_installmime -i

	dh_link $(share)/software-center usr/bin/software-center \
	        $(share)/update-software-center usr/sbin/update-software-center

	# Remove empty directories.
	find debian/*/usr -type d -empty -delete

.PHONY: override_dh_auto_install

## software-center 5.1.2debian3.1

=== debian/changelog ===
software-center (5.1.2debian3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add synaptic dependency (closes: #691901).
  * Interpret gtk.TreeView.get_visible_range() output correctly to get the
    application "Install" button working again (closes: #691708).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 31 Oct 2012 07:21:04 +0000

software-center (5.1.2debian3) unstable; urgency=low

  * Directly apply the changes from the NMU

 -- Julian Andres Klode <jak@debian.org>  Mon, 01 Oct 2012 16:07:10 +0200

software-center (5.1.2debian2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/gst_import.patch: Wrap import of GStreamer in a
    try/except (Closes: #671768).
  * Build-depend on quilt.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 08 Sep 2012 19:05:21 -0400

software-center (5.1.2debian2) unstable; urgency=low

  * Upload to unstable; no further changes. A newer upstream version
    will come later on, but needs a newer python-apt first.

 -- Julian Andres Klode <jak@debian.org>  Mon, 05 Mar 2012 15:59:06 +0100

=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
          policykit-1-gnome | policykit-1-kde,
          python-xdg,
          python-lazr.restfulclient,
+         synaptic,
 Recommends: lsb-release, 
             gir1.2-launchpad-integration-3.0, 
             apt-xapian-index (>= 0.38ubuntu1),
